## xdoclet.modules.jboss.jmx
Class JBossXmlServiceTemplateSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.jboss.jmx.JBossXmlServiceTemplateSubTask

All Implemented Interfaces:
  Serializable

public class JBossXmlServiceTemplateSubTask
extends XmlSubTask

Generates a {servicefile}-service.xml file for JBoss mbean configuration. This can help you see what you can set in an mbean, you can just fill in your values and deploy. Currently there is a limitation that only managed attributes with getters show up in the results, however there is a comment for those with only a setter. It treats read-only managed attributes as if they can be written.

Version:
  $Revision: 1.9 $
Author:
  David Jencks
See Also:
  Serialized Form
ant.element
  display-name="JBoss XML Service" name="jbossxmlservicetemplate" parent="xdoclet.modules.jmx.JMXDocletTask"
created
  March 3, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JBossXmlServiceTemplateSubTask()` Describe what the JBossXmlServiceTemplateSubTask constructor does

Method Summary
`void` `execute()` Describe what the method does
`String` `getServicefile()` Get the Servicefile value.
`void` `setServicefile(String servicefile)` Set the Servicefile value.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossXmlServiceTemplateSubTask

    public JBossXmlServiceTemplateSubTask()

  Describe what the JBossXmlServiceTemplateSubTask constructor does

Method Detail

### getServicefile

    public String getServicefile()

  Get the Servicefile value.

  Returns:
    the Servicefile value.

### setServicefile

    public void setServicefile(String servicefile)

  Set the Servicefile value.

  Parameters:
    `servicefile` -

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

http://xdoclet.sourceforge.net/